JarDirectory (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.idea.model

## [Java] Class JarDirectory

- org.gradle.plugins.ide.idea.model.JarDirectory

- Represents a jar directory element of an idea module library.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JarDirectory (Path path, boolean recursive)`
    `JarDirectory (Object path, Object recursive)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `Path` | `getPath()` The path of the jar directory
    `boolean` | `getRecursive()`
    `int` | `hashCode()`
    `boolean` | `isRecursive()`
    `void` | `setPath(Path path)` The value for the recursive attribute of the jar directory element.
    `void` | `setRecursive(boolean recursive)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JarDirectory(Path path, boolean recursive)

    - #### @Deprecated public JarDirectory(Object path, Object recursive)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public Path getPath()

      The path of the jar directory

    - #### public boolean getRecursive()

    - #### @Override public int hashCode()

    - #### public boolean isRecursive()

    - #### public void setPath(Path path)

      The value for the recursive attribute of the jar directory element.

    - #### public void setRecursive(boolean recursive)

    - #### @Override public String toString()